#include "utils.h"

Utils::Utils() {
}

QString Utils::normalizePhoneNumber(const QString &phoneNumber) {
    // Only allowing + and [0..9] chars
    QString filteredChars;

    if (phoneNumber.length() > 0) {

        for (int i = 0; i < phoneNumber.length(); i++) {
            const QChar c = phoneNumber.at(i);
            if (c.isDigit() || c == '+') {
                filteredChars.append(c);
            }
        }
    }

    return filteredChars;
}
