#!/bin/bash

lines=`grep -ir '\"' *.qml | egrep -iv -f i18n.ignore | wc -l`
if [ $lines -eq 0 ]; then
#    echo -e "\033[1;32mCaught no untranslated strings.\033[0m"
    echo "Caught no untranslated strings."
    exit 0
else
    echo -e "\033[0;31mFound untranslated strings: $lines\033[0m"
    grep -ir '\"' *.qml | egrep -iv -f i18n.ignore
    exit 1
fi

